> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shipments

> Get shipments



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/logistics/getShipments
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/logistics/getShipments:
    post:
      tags:
        - Logistics Webservice
      summary: Get shipments
      description: Get shipments
      operationId: getShipments
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Logistics_GetShipmentsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Logistics_GetShipmentsWSResponse'
          description: OK
components:
  schemas:
    Logistics_GetShipmentsWSRequest:
      type: object
      description: Request object for getting shipments within a time range.
      properties:
        endTimeSec:
          type: integer
          format: int64
          description: End time in seconds (Unix timestamp)
          example: 1641081600
          nullable: true
        startTimeSec:
          type: integer
          format: int64
          description: Start time in seconds (Unix timestamp)
          example: 1640995200
          nullable: true
    Logistics_GetShipmentsWSResponse:
      type: object
      description: Response object containing shipments within the specified time range.
      properties:
        customerShipmentList:
          type: array
          description: List of customer shipments within the specified time range
          items:
            $ref: '#/components/schemas/CustomerShipmentType'
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    CustomerShipmentType:
      type: object
      description: List of customer shipments
      properties:
        ait-aitTrackingNumber:
          type: string
          nullable: true
        ait-carrierTrackingNumber:
          type: string
          nullable: true
        ait-depositorOrderNumber:
          type: string
          nullable: true
        ait-destinationAddress:
          type: string
          nullable: true
        ait-isIngramDistributorShipment:
          type: boolean
          nullable: true
        ait-shipmentDate:
          type: string
          format: date-time
          nullable: true
        ait-shippedItems:
          type: array
          items:
            $ref: '#/components/schemas/ShippedItemType'
          nullable: true
        interchangeControlNumber:
          type: string
          nullable: true
        lastStateUpdateSec:
          type: integer
          format: int64
          nullable: true
        rhombus-additionalEmails:
          type: string
          nullable: true
        rhombus-chosenCarrierName:
          type: string
          nullable: true
        rhombus-claimKeyToLicenseMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              nullable: true
            nullable: true
            uniqueItems: true
          nullable: true
        rhombus-claimKeyToLicenseMapV2:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              $ref: >-
                #/components/schemas/SalesforceLicenseStartDateTimeAndEndDateTime
            nullable: true
          nullable: true
        rhombus-customerEmails:
          type: string
          nullable: true
        rhombus-customerName:
          type: string
          nullable: true
        rhombus-orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        rhombus-partnerOrgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        rhombus-purchaseOrderNumber:
          type: string
          nullable: true
        rhombus-rmaReturnTrackingNumber:
          type: string
          nullable: true
        rhombus-rmaUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        rhombus-rmaUuids:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        rhombus-salesForceOpportunityId:
          type: string
          nullable: true
        rhombus-zendeskTicketNumber:
          type: string
          nullable: true
        shipmentCategory:
          $ref: '#/components/schemas/CustomerShipmentCategoryEnum'
        shipmentEmailState:
          $ref: '#/components/schemas/CustomerShipmentEmailStateEnum'
        shipmentState:
          $ref: '#/components/schemas/CustomerShipmentStateEnum'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ShippedItemType:
      type: object
      nullable: true
      properties:
        partNumber:
          type: string
          nullable: true
        quantityShipped:
          type: integer
          format: int32
          nullable: true
        serialNumber:
          type: string
          nullable: true
    SalesforceLicenseStartDateTimeAndEndDateTime:
      type: object
      nullable: true
      properties:
        contractEndDateTime:
          type: string
          nullable: true
        contractStartDateTime:
          type: string
          nullable: true
    CustomerShipmentCategoryEnum:
      type: string
      enum:
        - RMA
        - PURCHASE_ORDER
        - TRIAL
        - UNKNOWN
    CustomerShipmentEmailStateEnum:
      type: string
      enum:
        - SHIPPING_CONFIRMATION_SUCCESS
        - SHIPPING_CONFIRMATION_FAILURE
        - SHIPPING_SHIPPED_SUCCESS
        - SHIPPING_SHIPPED_FAILURE
        - UNKNOWN
    CustomerShipmentStateEnum:
      type: string
      enum:
        - CREATED
        - SHIPPED
        - DELIVERED
        - RETURN_REGISTERED
        - RETURN_SENT
        - RETURN_DELIVERED
        - COMPLETE
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````